Introducing the Better Auth Chargebee plugin: Use it to handle subscriptions, billing, and auth seamlessly.
Chargebeechargebee API

Cancel an order

Idempotency Supported

Cancel order and create a refundable credit note for the order

Sample Request

Sample Result[JSON]

URL Format

POST https://[site].chargebee.com/api/v2/orders/{order-id}/cancel

Input Parameters

cancellation_reason
required, enumerated string

Cancellation reason.

Enum Values
shipping_cut_off_passed

The invoice has been paid late and Chargebee cancel's the first order for the invoice.

product_unsatisfactory

Product unsatisfactory.

third_party_cancellation

Third party cancellation.

product_not_required

Product not required.

delivery_date_missed

Delivery date missed.

customer_notes
optional, string, max chars=2000

The Customer Notes to be filled in the Credit Notes created to capture this refund detail.

comment
optional, string, max chars=300

Comment, if any, on the refund.

cancelled_at
optional, timestamp(UTC) in seconds

The time at which the order was cancelled.

credit_note
Parameters for credit_note
pass parameters as credit_note[<param name>]

Returns

Order object
Resource object representing order